
clear variables;
pause('on');

NET.addAssembly(which('FTD2XX_NET.dll'));
NET.addAssembly(which('FUTEK.Devices.dll'));
import FUTEK.Devices.*

%The size of this container will depend on how many devices are connected
dc = NET.createGeneric('System.Collections.Generic.List',{'FUTEK.Devices.Device'},1);

repo = DeviceRepository();
connectedDevices = repo.DetectDevices();

%NOTE:  If the container is empty, please try unplunging the device and
%plugging it back it, then re run the program.

AddRange(dc,connectedDevices);
usb225 = dc.Item(0);

serialNumber = usb225.GetInstrumentSerialNumber();
modelNumber = usb225.GetModelNumber();
unitOfMeasure = usb225.GetChannelXUnitOfMeasure(0);
reading = usb225.GetChannelXReading(0);

disp('Model Number');
disp(modelNumber);
disp('Instrument Serial Number');
disp(serialNumber);
disp('Reading');
disp(reading);
disp('Unit Of Measure');
disp(unitOfMeasure);

repo.DisconnectAllDevices();
